Page MenuHomePhabricator

Package libvmod-uuid for Debian
Closed, ResolvedPublic0 Estimated Story Points

Description

In order for Varnish to be able to produce UUIDv1 X-Request-Id headers, it needs to be able to leverage the libuuid library. There is already a Varnish module compatible with Varnish 5.1, so we should package it and have it in our APT repo.

Event Timeline

mobrovac triaged this task as Medium priority.Apr 26 2019, 5:33 PM
mobrovac created this task.
Restricted Application added a project: Operations. · View Herald TranscriptApr 26 2019, 5:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema moved this task from Triage to Caching on the Traffic board.Apr 29 2019, 3:52 PM

Change 508524 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/varnish/libvmod-uuid@debian] Initial packaging

https://gerrit.wikimedia.org/r/508524

Change 508524 merged by Ema:
[operations/software/varnish/libvmod-uuid@debian] Initial packaging

https://gerrit.wikimedia.org/r/508524

Mentioned in SAL (#wikimedia-operations) [2019-05-07T10:40:22Z] <ema> libvmod-uuid 1.4-1 uploaded to stretch-wikimedia T221977

@ema since the pkg has been uploaded, are we now good here? Ok to resolve the task or is there something else that needs to be done?

ema closed this task as Resolved.May 9 2019, 5:40 AM

@ema since the pkg has been uploaded, are we now good here? Ok to resolve the task or is there something else that needs to be done?

Yup, it's done.